﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Backend.Csv {
  public partial class CsvExporterView : UserControl {
    private SaveFileDialog saveFileDialog;
    public CsvExporterView() {
      InitializeComponent();
      this.saveFileDialog = new SaveFileDialog();
      saveFileDialog.AddExtension = true;
      saveFileDialog.RestoreDirectory = true;
      saveFileDialog.DefaultExt = "csv";
      saveFileDialog.Filter = "Comma-Separated-Values file (*.csv)|*.csv|All files (*.*)|*.*";
    }

    public string FileName {
      get { return txtFileName.Text; }
    }

    public bool IncludeColumnNames {
      get { return this.chbIncludeColumnNames.Checked; }
    }

    private void btnBrowse_Click(object sender, EventArgs e) {
      if (saveFileDialog.ShowDialog() == DialogResult.OK) {
        this.txtFileName.Text = saveFileDialog.FileName;
      }
    }
  }
}
