﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using HeuristicLab.DataImporter.DataProcessor;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.DataImporter.Data.CommandBase;

namespace HeuristicLab.DataImporter.Backend.Csv {
  public class CsvImporter : IImporter {

    public string Description {
      get { return "Import CSV file"; }
    }

    private CsvImporterView view;
    public System.Windows.Forms.UserControl SettingsControl {
      get {
        if (view == null)
          view = new CsvImporterView();
        return view;
      }
    }

    public ICommand CreateImportCommand(DataSet dataSet) {
      CsvImportCommand cmd = new CsvImportCommand(dataSet);
      cmd.FileName = view.FileName;
      cmd.ColumnNamesInFirstRow = view.ColumnNamesInFirstRow;
      cmd.Delimiter = view.Delimiter;
      return cmd;
    }
  }
}
