﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Backend.Csv {
  public partial class CsvImporterView : UserControl {
    private OpenFileDialog openFileDialog;
    public CsvImporterView() {
      InitializeComponent();
      this.openFileDialog = new OpenFileDialog();
      openFileDialog.AddExtension = true;
      openFileDialog.RestoreDirectory = true;
      openFileDialog.DefaultExt = "csv";
      openFileDialog.Filter = "Comma-Separated-Values file (*.csv)|*.csv|All files (*.*)|*.*";
      txtDelimiter.Text = ";";
    }

    public string FileName {
      get { return txtFileName.Text; }
    }

    public bool ColumnNamesInFirstRow {
      get { return this.chbIncludeColumnNames.Checked; }
    }

    public char[] Delimiter {
      get { return new char[] { txtDelimiter.Text[0] }; }
    }

    private void btnBrowse_Click(object sender, EventArgs e) {
      if (openFileDialog.ShowDialog() == DialogResult.OK) {
        this.txtFileName.Text = openFileDialog.FileName;
      }
    }
  }
}
