﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Data.CommandBase {
  [StorableClass]
  public abstract class ColumnCommandBase : ColumnGroupCommandBase {
    [Storable]
    private int columnIndex;

    private ColumnCommandBase()
      : base(null, string.Empty) {
    }

    protected ColumnCommandBase(DataSet dataSet, string columnGroupName, int columnIndex)
      : base(dataSet, columnGroupName) {
      this.columnIndex = columnIndex;
    }

    protected ColumnBase Column {
      get { return this.ColumnGroup.GetColumn(columnIndex); }
    }
  }
}
