﻿using System;
using System.Collections.Generic;
using System.Xml;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Data {
  [StorableClass]
  public class DateTimeSpan : ICloneable {
    [Storable]
    public int Seconds { get; set; }
    [Storable]
    public int Minutes { get; set; }
    [Storable]
    public int Hours { get; set; }
    [Storable]
    public int Days { get; set; }
    [Storable]
    public int Months { get; set; }
    [Storable]
    public int Years { get; set; }

    public static DateTime operator +(DateTime start, DateTimeSpan span) {
      DateTime ret = new DateTime(start.Year, start.Month, start.Day, start.Hour, start.Minute, start.Second);
      ret = ret.AddSeconds(span.Seconds);
      ret = ret.AddMinutes(span.Minutes);
      ret = ret.AddHours(span.Hours);
      ret = ret.AddDays(span.Days);
      ret = ret.AddMonths(span.Months);
      ret = ret.AddYears(span.Years);
      return ret;
    }

    public object Clone() {
      DateTimeSpan obj = new DateTimeSpan();
      obj.Seconds = this.Seconds;
      obj.Minutes = this.Minutes;
      obj.Hours = this.Hours;
      obj.Days = this.Days;
      obj.Months = this.Months;
      obj.Years = this.Years;
      return obj;
    }
  }
}
