﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using HeuristicLab.DataImporter.DbExplorer.Interfaces;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.DataProcessor {
  [StorableClass]
  public class DataProcessor{
    public DataProcessor() {
      this.commandChain = new CommandChain();
      this.dataSet = new DataSet();
    }

    public DataProcessor(DataSet ds) {
      this.commandChain = new CommandChain();
      this.dataSet = ds;
    }

    private IDbExplorer dbExplorer;
    public IDbExplorer DatabaseExplorer {
      get { return this.dbExplorer; }
      set { this.dbExplorer = value; }
    }

    [Storable]
    private DataSet dataSet;
    public DataSet DataSet {
      get { return this.dataSet; }
    }

    private CommandChain commandChain;
    public CommandChain CommandChain {
      get { return this.commandChain; }
    }

    public void Reset() {
      this.dataSet = new DataSet();
      this.commandChain.Clear();
    }
  }
}
