﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.DataImporter.DataProcessor {
  public partial class ExportDialog : Form {
    private Data.Model.DataSet dataSet;
    public ExportDialog(Data.Model.DataSet dataSet) {
      InitializeComponent();
      this.dataSet = dataSet;
      IExporter[] exporters = ApplicationManager.Manager.GetInstances<IExporter>().ToArray();      
      this.exporterListBox.DataSource = exporters;
    }

    private void btnOK_Click(object sender, EventArgs e) {
      this.Cursor = Cursors.WaitCursor;
      try {
        ((IExporter)exporterListBox.SelectedItem).Export(this.dataSet);
      }
      finally {
        this.Cursor = Cursors.Default;
      }
    }

    private void exporterListBox_SelectedIndexChanged(object sender, EventArgs e) {
      this.settingsPanel.Controls.Clear();
      UserControl ctrl = ((IExporter)exporterListBox.SelectedItem).SettingsControl ;
      this.Height = 180 + ctrl.Height;
      this.settingsPanel.Controls.Add(ctrl);
      
    }
  }
}
